org.bdgenomics.adam.rich

# RichGenotype

###
Related Docs: object RichGenotype | package rich

#### class RichGenotype extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RichGenotype
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new RichGenotype(genotype: Genotype)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### val genotype: Genotype

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def getType: GenotypeType

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### def isCalled: Boolean

    True if the genotype does not contain any alleles that are not called.

    True if the genotype does not contain any alleles that are not called. e.g. './.' or '0/.' in VCF

14. #### def isHet: Boolean

    True if we're het (observed alleles differ); if the ploidy is less than 2 or if any alleles are no-calls, this method will return false.

15. #### def isHom: Boolean

    True if all observed alleles are the same (regardless of whether they are ref or alt); if any alleles are no-calls, this method will return false.

16. #### def isHomAlt: Boolean

    True if all observed alleles are alt; if any alleles are no-calls, this method will return false.

17. #### def isHomRef: Boolean

    True if all observed alleles are ref; if any alleles are no-calls, this method will return false.

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def isNoCall: Boolean

    True if this genotype is not actually a genotype but a "no call" (e.g.

    True if this genotype is not actually a genotype but a "no call" (e.g. './.' in VCF). Also true for partial no call genotypes (e.g. '0/.' in VCF)

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def ploidy: Int

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped